0

1.环境是win7全局安装的composer,之前一直是正常使用的。最近要在本地装一个新的项目,运行composer update 报错。报错代码如下:

2.这是现在项目下composer.json 最下面的代码

"repositories": {
        "packagist": {
            "type": "composer",
            "url": "https://packagist.phpcomposer.com"
        }
    }

3.

Content-length mismatch

https://packagist.phpcomposer.com could not be fully loaded was loaded from the local cache and may be out of date.

4.现已尝试过的方法:
清除composer 缓存,更新composer 为最新版本,再次切换镜像为国内镜像,删除composer.lock,重新执行 composer install 还是同样的错误

守望者 149
9月29日提问
1 个回答
1

已采纳

https://packagist.phpcomposer.com这个镜像凉了,官方也不负责任也不通知下。。。

现在基本都在用阿里云镜像:https://developer.aliyun.com/...

撰写答案

推广链接